--- old/usr/src/pkg/manifests/runtime-perl-510-module-sun-solaris.mf	2014-02-21 02:07:18.381427716 +0000
+++ new/usr/src/pkg/manifests/runtime-perl-510-module-sun-solaris.mf	2014-02-21 02:07:18.388014025 +0000
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2014 Racktop Systems.
 #
 
 $(i386_ONLY)<transform file dir path=.*PLAT.* -> edit path PLAT i86pc>
@@ -35,120 +36,50 @@
     value=org.opensolaris.category.2008:Development/Perl
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
-dir path=usr/bin
 dir path=usr/perl5
 dir path=usr/perl5/5.10.0
-dir path=usr/perl5/5.10.0/bin
 dir path=usr/perl5/5.10.0/lib
 dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int
 dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/Sun
 dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/Sun/Solaris
-dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/Sun/Solaris/Exacct
 dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto
 dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun
 dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris
-dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/BSM
-dir \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/BSM/_BSMparse
-dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Exacct
-dir \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Exacct/Catalog
-dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Exacct/File
-dir \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Exacct/Object
 dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Intrs
 dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Kstat
 dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Lgrp
-dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/PerlGcc
-dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Pg
-dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Privilege
 dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Project
 dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Task
-dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Ucred
 dir path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Utils
 dir path=usr/perl5/5.10.0/lib/Sun
 dir path=usr/perl5/5.10.0/lib/Sun/Solaris
 dir path=usr/perl5/5.10.0/lib/Sun/Solaris/BSM
-dir path=usr/perl5/5.10.0/lib/Sun/Solaris/PerlGcc
 dir path=usr/share/man
 dir path=usr/share/man/man3perl
-file path=usr/perl5/5.10.0/bin/perlgcc mode=0555
-file path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/Sun/Solaris/Exacct.pm
-file \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/Sun/Solaris/Exacct/Catalog.pm
-file path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/Sun/Solaris/Exacct/File.pm
-file path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/Sun/Solaris/Exacct/Object.pm
 file path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/Sun/Solaris/Intrs.pm
 file path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/Sun/Solaris/Kstat.pm
 file path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/Sun/Solaris/Lgrp.pm
-file path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/Sun/Solaris/Privilege.pm
 file path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/Sun/Solaris/Project.pm
 file path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/Sun/Solaris/Task.pm
-file path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/Sun/Solaris/Ucred.pm
 file path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/Sun/Solaris/Utils.pm
 file \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Exacct/Catalog/Catalog.bs
-file \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Exacct/Catalog/Catalog.so
-file \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Exacct/Exacct.bs
-file \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Exacct/Exacct.so
-file \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Exacct/File/File.bs
-file \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Exacct/File/File.so
-file \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Exacct/Object/Object.bs
-file \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Exacct/Object/Object.so
-file \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Intrs/Intrs.bs
-file \
     path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Intrs/Intrs.so
 file \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Kstat/Kstat.bs
-file \
     path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Kstat/Kstat.so
 file \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Lgrp/Lgrp.bs
-file \
     path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Lgrp/Lgrp.so
 file \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Privilege/Privilege.bs
-file \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Privilege/Privilege.so
-file \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Project/Project.bs
-file \
     path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Project/Project.so
 file \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Task/Task.bs
-file \
     path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Task/Task.so
 file \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Ucred/Ucred.bs
-file \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Ucred/Ucred.so
-file \
-    path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Utils/Utils.bs
-file \
     path=usr/perl5/5.10.0/lib/PLAT-solaris-64int/auto/Sun/Solaris/Utils/Utils.so
 file path=usr/perl5/5.10.0/lib/Sun/Solaris/BSM/_BSMparse.pm
-file path=usr/perl5/5.10.0/lib/Sun/Solaris/PerlGcc/Config.pm
 file path=usr/perl5/5.10.0/lib/Sun/Solaris/Pg.pm
-file path=usr/share/man/man3perl/Exacct.3perl
-file path=usr/share/man/man3perl/Exacct::Catalog.3perl
-file path=usr/share/man/man3perl/Exacct::File.3perl
-file path=usr/share/man/man3perl/Exacct::Object.3perl
-file path=usr/share/man/man3perl/Exacct::Object::Group.3perl
-file path=usr/share/man/man3perl/Exacct::Object::Item.3perl
 file path=usr/share/man/man3perl/Kstat.3perl
 file path=usr/share/man/man3perl/Lgrp.3perl
-file path=usr/share/man/man3perl/Privilege.3perl
 file path=usr/share/man/man3perl/Project.3perl
 file path=usr/share/man/man3perl/Task.3perl
-file path=usr/share/man/man3perl/Ucred.3perl
 license cr_Sun license=cr_Sun
 license usr/src/cmd/perl/THIRDPARTYLICENSE \
     license=usr/src/cmd/perl/THIRDPARTYLICENSE
